Index: /trunk/phpgwapi/js/x_tools/xtools.js
===================================================================
--- /trunk/phpgwapi/js/x_tools/xtools.js	(revision 5433)
+++ /trunk/phpgwapi/js/x_tools/xtools.js	(revision 5754)
@@ -34,5 +34,5 @@
 			var _data = null;
 			
-			if ( document.implementation && document.implementation.createDocument )
+			if ( document.implementation && document.implementation.createDocument && !is_ie)
 			{
 				XMLDocument.prototype.load = function(filePath)
Index: /trunk/prototype/modules/mail/js/foldertree.js
===================================================================
--- /trunk/prototype/modules/mail/js/foldertree.js	(revision 5732)
+++ /trunk/prototype/modules/mail/js/foldertree.js	(revision 5754)
@@ -115,5 +115,5 @@
 		var target = $(this);	
 		
-		if($(".folders_loading").length)
+		if($(".folders-loading").length)
 			return;
 		
@@ -121,5 +121,5 @@
 			return;
 			
-		if( target.is('.collapsable-hitarea, .expandable-hitarea, .lastCollapsable-hitarea, .lastExpandable-hitarea, .treeview ,.folder_unseen,.ui-icon, .float-menu, .new_folder, .folders_loading, .head_folder, .shared-folders') )
+		if( target.is('.collapsable-hitarea, .expandable-hitarea, .lastCollapsable-hitarea, .lastExpandable-hitarea, .treeview ,.folder_unseen,.ui-icon, .float-menu, .new_folder, .folders-loading, .head_folder, .shared-folders') )
 			return;
 		
@@ -137,5 +137,5 @@
 			$(target).children('.folder').addClass('selected');
 		}
-		$(this).addClass("folders_loading");
+		$(this).addClass("folders-loading");
 		selected = target.attr('id');
 		change_folder(target.attr('id'), child.attr('title'));	
@@ -158,8 +158,10 @@
 			return $(DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : (($(this).text().split("["))[0]), type: "folder"}));
 		},
+		delay: 150,
 		refreshPositions: true,
-		scroll: true, 
-		scrollSensitivity: 100,
-		scrollSpeed: 100,
+		zIndex : 2700,
+		//scroll: true, 
+		//scrollSensitivity: 100,
+		//scrollSpeed: 100,
 		containment: "#divAppbox" 
 	}).end().droppable({
@@ -250,5 +252,5 @@
 				}
 				
-				$(this).addClass("folders_loading");
+				$(this).addClass("folders-loading");
 				
 				$.ajax({
@@ -278,175 +280,168 @@
 				}else
 					folder_name = "Root";
-				DataLayer.render("../prototype/modules/mail/templates/float_folder_menu.ejs", {name_folder : folder_name}, function(html){						
+				html = DataLayer.render("../prototype/modules/mail/templates/float_folder_menu.ejs", {name_folder : folder_name});					
 					//FUNÇÃO DO eventNU FLUTUANTE EDITAR < BEGIN
-					var esc = false;
-					$(folder_).append(html).find(".float-menu-edit").click(function(){
-						var folder_id = $(this).parents(".closed:first").attr('id');
-						var name = $.trim($(this).parents(".closed:first").find("span:first").text().split("[")[0]);
-						if($(this).parents(".closed:first").find("span:first").hasClass("selected"))
-							return write_msg(get_lang("It's not possible rename this folder, because it is being used in the moment!"));
-						if($(this).parents(".closed:first").find(".selected").length)
-							return write_msg(get_lang("It's not possible rename this folder, because its subfolder is being used in the moment!")); 
-						if(valid_tabs($(this).parents("li:first").find("li"), folder_id))
-							return;
-						$(this).parents(".closed:first").find("span:first").empty().append("<input class='new_folder folder' type='text' maxlength='100'></input>");
-						$(".new_folder").focus().keydown(function(event){
-							event.stopPropagation();
-							if(event.keyCode == 13){
-								if($(this).val() != ""){
-									if($(this).val().match(/[\/\\\!\@\#\$\%\&\*\+\(\)]/gi)){
-										return write_msg(get_lang("cannot create folder. try other folder name"));
-									}
-									var new_name = folder_id.replace(/[a-zA-Z0-9á-úÁ-Ú]+$/gi, $(this).val());
-									if($('[id="'+new_name+'"]').length){
-										$(".folders_loading").removeClass("folders_loading");
-										write_msg(get_lang("Mailbox already exists"));
-										return draw_new_tree_folder();
-									}
-									$(".new_folder").parent().addClass("folders_loading");
-									$.ajax({
-										url : "controller.php?action=$this.imap_functions.ren_mailbox",
-										type : "POST",
-										data : "current="+folder_id+"&rename="+new_name,
-										success : function(){
-											write_msg(get_lang("The folder was successfully rename"));
-											cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
-										}
-									});
-								}
-							}else if( event.keyCode == 27){
-								draw_new_tree_folder();
-							}
-						}).focusout(function(){
-							draw_new_tree_folder();
-						}).val(name);
-					})
-					//FUNÇÃO DO eventNU FLUTUANTE EDITAR < END
-					//FUNÇÃO DO eventNU FLUTUANTE EXCLUIR < BEGIN
-					.end().find(".float-menu-remove").click(function(){
-						
-						var folder_id = $(this).parents(".closed:first").attr('id');
-						var folder_name = "<strong>"+$.trim($(this).parents(".closed:first").find(".folder").text().split("[")[0])+"</strong>";
-						
-						if(valid_tabs($(this).parents("li:first").find("li"), folder_id))
-							return;
-						$(this).parents(".closed:first").find(".folder").addClass("folders_loading"); 
-						
-						if($(this).parents(".closed:first").find("ul").length){
-							$(this).parents(".closed:first").find(".folder").removeClass("folders_loading");
-							return write_msg(get_lang("Delete/move subfolders first"));
-						}
-						if($(this).parents(".closed:first").find(".selected").length){
-							$(this).parents(".closed:first").find(".folder").removeClass("folders_loading");
-							return write_msg(get_lang("It's not possible delete this folder, because it is being used in the moment!")); 
-						}
-						var folder_span = $(this);
-						var confirm_text = get_lang("Do you wish to exclude the folder ");
-						$.Zebra_Dialog(confirm_text+folder_name, {
-							'type':     'question',
-							'title':    'Confirmação de Exclusão',
-							'buttons':  [get_lang('Yes'), get_lang('No')],
-							'onClose':  function(caption) {
-								if(caption == get_lang('Yes')){
-									$.ajax({
-										url : "controller.php?action=$this.imap_functions.delete_mailbox",
-										type: "POST",
-										data : "del_past="+folder_id,
-										success : function(data){
-											data = connector.unserialize(data);
-											if(data == "Mailbox does not exist"){
-												$(".folders_loading").removeClass("folders_loading");
-												return write_msg(get_lang("Mailbox does not exist"));
-											}
-											write_msg(get_lang("The folder %1 was successfully removed", folder_name));
-											cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
-										}
-									});
-								}else{
-									folder_span.parents(".closed:first").find(".folder").removeClass("folders_loading");
-									return;
-								}
-							}
-						});
-						/* if(!confirm(confirm_text + folder_name)){
-							$(this).parents(".closed:first").find(".folder").removeClass("folders_loading");
-							return;
-						} */
-					})
-					//FUNÇÃO DO eventNU FLUTUANTE EXCLUIR < END
-					//FUNÇÃO DO eventNU FLUTUANTE NOVA PASTA < BEGIN
-					.end().find(".float-menu-new").click(function(){
-						$(this).parents(".float-menu").addClass("hidden");
-						var selected_li = $(this).parents(".closed:first");
-						if(selected_li.find("ul:first").length){
-							var new_folder = $("<li><input class='new_folder folder' type='text' maxlength='100'></input></li>").appendTo(selected_li.find("ul:first"));								
-							if(selected_li.find(".expandable-hitarea").length){
-								selected_li.find(".expandable-hitarea").trigger('click');
-							}
-							selected_li.find("ul:first").treeview({
-								add: new_folder
-							});
-						}else if(selected_li.length){
-							var new_folder = $("<ul><li><input class='new_folder folder' type='text' maxlength='100'></input></li></ul>").appendTo(selected_li);								
-							selected_li.treeview({
-								add: new_folder
-							});
-						}else{
-							selected_li = $(this).parents(".head_folder").parent();
-							if($(this).parents(".head_folder").parent().find(".expandable-hitarea").length){
-								$(this).parents(".head_folder").parent().find(".expandable-hitarea").trigger('click');
-							}
-							var new_folder = $("<ul><li><input class='new_folder folder' type='text' maxlength='100'></input></li></ul>").appendTo(selected_li);								
-							selected_li.treeview({
-								add: new_folder
-							});
-						}
-						
-						selected_li.find(".new_folder").Watermark("Nova Pasta").focus().keydown(function(event){
-							event.stopPropagation();
-							if(event.keyCode == 13){
-								if($(this).val().match(/[\\\!\@\#\$\%\&\*\+\(\)]/gi)){
+				var esc = false;
+				$(folder_).append(html).find(".float-menu-edit").click(function(){
+					var folder_id = $(this).parents(".closed:first").attr('id');
+					var name = $.trim($(this).parents(".closed:first").find("span:first").text().split("[")[0]);
+					if($(this).parents(".closed:first").find("span:first").hasClass("selected"))
+						return write_msg(get_lang("It's not possible rename this folder, because it is being used in the moment!"));
+					if($(this).parents(".closed:first").find(".selected").length)
+						return write_msg(get_lang("It's not possible rename this folder, because its subfolder is being used in the moment!")); 
+					if(valid_tabs($(this).parents("li:first").find("li"), folder_id))
+						return;
+					$(this).parents(".closed:first").find("span:first").empty().append("<input class='new_folder folder' type='text' maxlength='100'></input>");
+					$(".new_folder").focus().keydown(function(event){
+						event.stopPropagation();
+						if(event.keyCode == 13){
+							if($(this).val() != ""){
+								if($(this).val().match(/[\/\\\!\@\#\$\%\&\*\+\(\)]/gi)){
 									return write_msg(get_lang("cannot create folder. try other folder name"));
 								}
-								if($('[id="'+ (selected_li.attr('id')? selected_li.attr('id') : "INBOX") + cyrus_delimiter + $(this).val()+'"]').length){
-									$(".folders_loading").removeClass("folders_loading");
+								var new_name = folder_id.replace(/[a-zA-Z0-9á-úÁ-Ú]+$/gi, $(this).val());
+								if($('[id="'+new_name+'"]').length){
+									$(".folders-loading").removeClass("folders-loading");
 									write_msg(get_lang("Mailbox already exists"));
 									return draw_new_tree_folder();
 								}
-								$(".new_folder").parent().addClass("folders_loading");
+								$(".new_folder").parent().addClass("folders-loading");
 								$.ajax({
-									url : "controller.php?action=$this.imap_functions.create_mailbox",
+									url : "controller.php?action=$this.imap_functions.ren_mailbox",
 									type : "POST",
-									data : "newp="+($(this).val() != "" ? $(this).val() : get_lang("New Folder"))+"&base_path="+(selected_li.attr('id')? selected_li.attr('id') : "INBOX"),
-									success : function(data){
-										data = connector.unserialize(data);
-										if(data == "Mailbox already exists"){
-											write_msg(get_lang("Mailbox already exists"));
-										}
+									data : "current="+folder_id+"&rename="+new_name,
+									success : function(){
+										write_msg(get_lang("The folder was successfully rename"));
 										cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
 									}
 								});
-							}else if( event.keyCode == 27){
-								draw_new_tree_folder();
 							}
-						}).focusout(function(){
+						}else if( event.keyCode == 27){
 							draw_new_tree_folder();
+						}
+					}).focusout(function(){
+						draw_new_tree_folder();
+					}).val(name);
+				})
+				//FUNÇÃO DO eventNU FLUTUANTE EDITAR < END
+				//FUNÇÃO DO eventNU FLUTUANTE EXCLUIR < BEGIN
+				.end().find(".float-menu-remove").click(function(){
+					
+					var folder_id = $(this).parents(".closed:first").attr('id');
+					var folder_name = "<strong>"+$.trim($(this).parents(".closed:first").find(".folder").text().split("[")[0])+"</strong>";
+					
+					if(valid_tabs($(this).parents("li:first").find("li"), folder_id))
+						return;
+					$(this).parents(".closed:first").find(".folder").addClass("folders-loading"); 
+					
+					if($(this).parents(".closed:first").find("ul").length){
+						$(this).parents(".closed:first").find(".folder").removeClass("folders-loading");
+						return write_msg(get_lang("Delete/move subfolders first"));
+					}
+					if($(this).parents(".closed:first").find(".selected").length){
+						$(this).parents(".closed:first").find(".folder").removeClass("folders-loading");
+						return write_msg(get_lang("It's not possible delete this folder, because it is being used in the moment!")); 
+					}
+					var folder_span = $(this);
+					var confirm_text = get_lang("Do you wish to exclude the folder ");
+					$.Zebra_Dialog(confirm_text+folder_name, {
+						'type':     'question',
+						'overlay_opacity': '0.5',
+						'buttons':  [get_lang('Yes'), get_lang('No')],
+						'onClose':  function(caption) {
+							if(caption == get_lang('Yes')){
+								$.ajax({
+									url : "controller.php?action=$this.imap_functions.delete_mailbox",
+									type: "POST",
+									data : "del_past="+folder_id,
+									success : function(data){
+										data = connector.unserialize(data);
+										if(data == "Mailbox does not exist"){
+											$(".folders-loading").removeClass("folders-loading");
+											return write_msg(get_lang("Mailbox does not exist"));
+										}
+										write_msg(get_lang("The folder %1 was successfully removed", folder_name));
+										cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
+									}
+								});
+							}else{
+								folder_span.parents(".closed:first").find(".folder").removeClass("folders-loading");
+								return;
+							}
+						}
+					});
+					/* if(!confirm(confirm_text + folder_name)){
+						$(this).parents(".closed:first").find(".folder").removeClass("folders-loading");
+						return;
+					} */
+				})
+				//FUNÇÃO DO eventNU FLUTUANTE EXCLUIR < END
+				//FUNÇÃO DO eventNU FLUTUANTE NOVA PASTA < BEGIN
+				.end().find(".float-menu-new").click(function(){
+					$(this).parents(".float-menu").hide();
+					var selected_li = $(this).parents(".closed:first");
+					if(selected_li.find("ul:first").length){
+						var new_folder = $("<li><input class='new_folder folder' type='text' maxlength='100'></input></li>").appendTo(selected_li.find("ul:first"));								
+						if(selected_li.find(".expandable-hitarea").length){
+							selected_li.find(".expandable-hitarea").trigger('click');
+						}
+						selected_li.find("ul:first").treeview({
+							add: new_folder
 						});
+					}else if(selected_li.length){
+						var new_folder = $("<ul><li><input class='new_folder folder' type='text' maxlength='100'></input></li></ul>").appendTo(selected_li);								
+						selected_li.treeview({
+							add: new_folder
+						});
+					}else{
+						selected_li = $(this).parents(".head_folder").parent();
+						if($(this).parents(".head_folder").parent().find(".expandable-hitarea").length){
+							$(this).parents(".head_folder").parent().find(".expandable-hitarea").trigger('click');
+						}
+						var new_folder = $("<ul><li><input class='new_folder folder' type='text' maxlength='100'></input></li></ul>").appendTo(selected_li);								
+						selected_li.treeview({
+							add: new_folder
+						});
+					}
+					
+					selected_li.find(".new_folder").Watermark("Nova Pasta").focus().keydown(function(event){
+						event.stopPropagation();
+						if(event.keyCode == 13){
+							if($(this).val().match(/[\\\!\@\#\$\%\&\*\+\(\)]/gi)){
+								return write_msg(get_lang("cannot create folder. try other folder name"));
+							}
+							if($('[id="'+ (selected_li.attr('id')? selected_li.attr('id') : "INBOX") + cyrus_delimiter + $(this).val()+'"]').length){
+								$(".folders-loading").removeClass("folders-loading");
+								write_msg(get_lang("Mailbox already exists"));
+								return draw_new_tree_folder();
+							}
+							$(".new_folder").parent().addClass("folders-loading");
+							$.ajax({
+								url : "controller.php?action=$this.imap_functions.create_mailbox",
+								type : "POST",
+								data : "newp="+($(this).val() != "" ? $(this).val() : get_lang("New Folder"))+"&base_path="+(selected_li.attr('id')? selected_li.attr('id') : "INBOX"),
+								success : function(data){
+									data = connector.unserialize(data);
+									if(data == "Mailbox already exists"){
+										write_msg(get_lang("Mailbox already exists"));
+									}
+									cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
+								}
+							});
+						}else if( event.keyCode == 27){
+							draw_new_tree_folder();
+						}
+					}).focusout(function(){
+						draw_new_tree_folder();
 					});
-					//FUNÇÃO DO eventNU FLUTUANTE NOVA PASTA < END
 				});
+				//FUNÇÃO DO eventNU FLUTUANTE NOVA PASTA < END
 			}
 			if(!$(".new_folder").length){
-				if(!is_ie)
-					$(this).find(".float-menu:first").removeClass("hidden");
-				else
-					$(this).find(".float-menu:first").show();
+				$(this).find(".float-menu:first").css("display", "");
 			}
 		},
 		function(){
-			if(!is_ie)
-				$(this).find(".float-menu:first").addClass("hidden");
-			else
-				$(this).find(".float-menu:first").hide();
+			$(this).find(".float-menu:first").hide();
 		}
 	);
Index: /trunk/expressoMail1_2/index.php
===================================================================
--- /trunk/expressoMail1_2/index.php	(revision 5730)
+++ /trunk/expressoMail1_2/index.php	(revision 5754)
@@ -1,2 +1,3 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <?php
 		/*************************************************************************** 
@@ -21,5 +22,4 @@
 	$_SESSION['phpgw_info']['expressomail']['user'] = $GLOBALS['phpgw_info']['user'];
 	$GLOBALS['phpgw']->css->validate_file('expressoMail1_2/templates/' . $GLOBALS['phpgw_info']['server']['template_set'] . '/main.css');
-	//$GLOBALS['phpgw']->css->validate_file('expressoMail1_2/templates/' . $GLOBALS['phpgw_info']['server']['template_set'] . '/expressoMail_reset.css');
 	$GLOBALS['phpgw']->css->validate_file('phpgwapi/js/dftree/dftree.css');
 	echo $GLOBALS['phpgw']->css->get_css();
@@ -32,15 +32,7 @@
 		<link rel="stylesheet" type="text/css" href="../prototype/plugins/icalendar/jquery.icalendar.css"></link>
 	
-		<link rel="Stylesheet" type="text/css" href="templates/default/expressoMail_reset.css" />
 		<script type="text/javascript" src="../prototype/plugins/jquery/jquery.min.js"></script>
 
-		<script type="text/javascript"> 
-			$.ajax({ 
-					url: "../expressoCalendar/index.php", 
-					async: false}); 
-		</script> 
-
 		<script type="text/javascript" src="../prototype/plugins/jquery/jquery-ui.min.js"></script>
-		<script type="text/javascript" src="../prototype/plugins/jquery/jquery-ui.custom.min.js"></script>
 		<script src="../prototype/plugins/json2/json2.js" language="javascript"></script>
 		<script src="../prototype/plugins/ejs/ejs.js" language="javascript"></script>
@@ -53,5 +45,4 @@
 		<script src="../library/ckeditor/adapters/jquery.js" language="javascript"></script> 
 		<link rel="Stylesheet" type="text/css" href="../prototype/plugins/jquery/jquery-ui.css" />					
-		<link rel="Stylesheet" type="text/css" href="../prototype/plugins/jquery/jquery-ui.custom.css" />
 		
 		<link rel="stylesheet" type="text/css" href="../prototype/plugins/contextmenu/jquery.contextMenu.css"></link>
@@ -81,4 +72,5 @@
 		<script type="text/javascript" src="../prototype/modules/calendar/js/calendar.date.js"></script>
 		<script type="text/javascript" src="../prototype/modules/calendar/js/calendar.codecs.js"></script>
+		
 
 		<script src="js/rich_text_editor.js" type="text/javascript"></script>
@@ -218,16 +210,8 @@
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['from_to_sent'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['from_to_sent'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['from_to_sent'] : "0";
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['auto_create_local'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['auto_create_local'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['auto_create_local'] : "0";
-	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['use_SpellChecker'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_SpellChecker'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_SpellChecker'] : "0";
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['return_recipient_deafault'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['return_recipient_deafault'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['return_recipient_deafault'] : "0";
 
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['quick_search_default'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['quick_search_default'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['quick_search_default'] : 1;
         $_SESSION['phpgw_info']['user']['preferences']['expressoMail']['auto_close_first_tab'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['auto_close_first_tab'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['auto_close_first_tab'] : "0";
-
-	//SpellChecker
-	if($_SESSION['phpgw_info']['user']['preferences']['expressoMail']['use_SpellChecker'] !='0'){
-	    echo '<link rel="stylesheet" type="text/css" href="spell_checker/css/spell_checker.css">';
-	    echo '<script src="spell_checker/cpaint/cpaint2.inc.js" type="text/javascript"></script>';
-	    echo ' <script src="spell_checker/js/spell_checker.js" type="text/javascript"></script>';
-	}
 	
 	$template = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
@@ -323,8 +307,11 @@
 		$("#menu2Container").hide();
     </script>
-		<script type="text/javascript" src="../prototype/plugins/timepicker/jquery-ui-timepicker-addon.js"></script>
-		<script type="text/javascript" src="../prototype/plugins/timepicker/localization/jquery-ui-timepicker-pt-BR.js"></script>
-		<script type="text/javascript" src="../prototype/plugins/jquery/i18n/jquery.ui.datepicker-pt-BR.js"></script>
-		<link rel="Stylesheet" type="text/css" href="../prototype/plugins/timepicker/jquery-ui-timepicker-addon.css" />
+	<script type="text/javascript" src="../prototype/plugins/timepicker/jquery-ui-timepicker-addon.js"></script>
+	<script type="text/javascript" src="../prototype/plugins/timepicker/localization/jquery-ui-timepicker-pt-BR.js"></script>
+	<script type="text/javascript" src="../prototype/plugins/jquery/i18n/jquery.ui.datepicker-pt-BR.js"></script>
+	<link rel="Stylesheet" type="text/css" href="../prototype/plugins/timepicker/jquery-ui-timepicker-addon.css" />
+	<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/layout.css" />
+	<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/style.css" />
+	<script type="text/javascript" src="../prototype/modules/filters/filters.js"></script>
 	';
 	
@@ -351,5 +338,4 @@
  	echo '<script src="../phpgwapi/js/dftree/dftree.js?'.$update_version.'"></script>'; 
     
-    echo '<script src="js/drag_area.js?'.$GLOBALS['phpgw_info']['apps']['expressoMail1_2']['version'].'"></script>';
 	$scripts = "js/abas.js," .
 				"js/main.js," .
@@ -367,5 +353,6 @@
 		<script type="text/javascript">
 			init();
-		</script>';
+		</script>
+		<script type="text/javascript">connector.updateVersion = "'.$update_version.'";</script>';
 
 	if ($GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['use_shortcuts'])
@@ -383,18 +370,5 @@
 	unset($_SESSION['phpgw_info']['expressomail']['server']['global_denied_groups']);
 ?>
-
-<html>
-<head>
-	<title>ExpressoMail</title>
-</head>
-<body scroll="no" style="overflow:hidden" class="expressomail-module-container">
-	<link rel='stylesheet' type='text/css' href='../prototype/modules/calendar/css/layout.css' />
-	<link rel='stylesheet' type='text/css' href='../prototype/modules/calendar/css/style.css' />
-	<link rel='stylesheet' type='text/css' href='../prototype/plugins/fileupload/jquery.fileupload-ui.css' />
-	<script src="../prototype/plugins/fileupload/jquery.fileupload.js"></script>
-	<script src="../prototype/plugins/fileupload/jquery.iframe-transport.js"></script>
-</body>
-</html>
-<script type="text/javascript" src="../prototype/modules/filters/filters.js"></script>
-<script type="text/javascript">connector.updateVersion = "<?=$update_version?>";</script>
+<div class="expressomail-module-container">
+</div>
 <!-----Expresso Mail - Version Updated:<?=$update_version?>-------->
Index: /trunk/expressoMail1_2/js/abas.js
===================================================================
--- /trunk/expressoMail1_2/js/abas.js	(revision 5702)
+++ /trunk/expressoMail1_2/js/abas.js	(revision 5754)
@@ -257,14 +257,11 @@
 	}
 
-	td.innerHTML = "<div style='width:100%;border:0;padding:0;'>\n\
-                            <div id='font_border_id_" + ID+"' class='font-menu' style='width:*;'>" +
+	td.innerHTML = "<div><div id='font_border_id_" + ID+"' class='font-menu'>" +
                                 borderTitle +
                             "</div>\n\
-                            <div style='width:1px;float:left;clear:right;'>\n\
+                            <div style='float:right;'>\n\
                                 <img onmousedown='javascript:return false' style='cursor:pointer' onclick=delete_border('" + ID + "','false') src='templates/"+template+"/images/close_button.gif'/>\n\ " +
                             "</div>\n\ " + 
-							"<input type=\"hidden\" name=\""+ ID+"\" value=\""+cc+"\">" + 
-                        "</div>";
-	
+							"<input type=\"hidden\" name=\""+ ID+"\" value=\""+cc+"\"></div>";		
 	bb = document.getElementById("border_blank");
 	parent_bb = bb.parentNode; //Pego o tbody
@@ -311,13 +308,11 @@
 			helper: function(event){
 				if(	borderTitle.length > 18 )
-					return $(DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : borderTitle.substring(0,18) + "...", type: "messages"}));
+					return $("<td>"+DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : borderTitle.substring(0,18) + "...", type: "messages"})+"</td>");
 				else
-					return $(DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : borderTitle, type: "messages"}));
+					return $("<td>"+DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : borderTitle, type: "messages"})+"</td>");
 			},
-			cursorAt: {cursor: "move", top: 5, left: 56},
+			delay: 150,
+			cursorAt: {top: 5, left: 56},
 			refreshPositions: true ,
-			scroll: true, 
-			scrollSensitivity: 100,
-			scrollSpeed: 100,
 			containment: "#divAppbox"
 		});
@@ -371,5 +366,6 @@
 	for (var i=0; i<children.length; i++) {
 		if ((children[i].nodeName === 'TD') && (children[i].id!=='border_id_0') && (children[i].id!=='border_blank')){
-			children[i].style.width = newWidthTD;
+			$(children[i]).css("width", newWidthTD);
+			$(children[i]).find('div:first').css("width", newWidthTD);
 			set_border_caption(children[i].id, children[i].title, newWidthTD);
 		}
@@ -389,5 +385,5 @@
         }
 	var caption = "";
-        Element("font_"+border.id).style.width = (border_width - 30)+'px';
+        Element("font_"+border.id).style.width = (border_width - 35)+'px';
 	Element("font_"+border.id).innerHTML = title;
 	return(title);
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 5745)
+++ /trunk/expressoMail1_2/js/main.js	(revision 5754)
@@ -154,5 +154,4 @@
 	
 	$("#divAppbox").css("padding-left", "0px");
-	
 }
 
@@ -580,20 +579,19 @@
 						},
 						helper: function(event){
-							if($(this).find("input:checkbox").attr("checked") != "checked"){
-								$(this).find("input:checkbox").trigger('click');
-								$(this).addClass("selected_msg");
-							}
-							if($("#table_box").find("tr input:checked").length > 1)
-								return $(DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : (($("#table_box").find("tr input:checked")).length+" mensagens selecionadas"), type: "messages"}));
-							if(	$(this).find(".td_msg_subject").text().length > 18 )
-								return $(DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : $(this).find(".td_msg_subject").text().substring(0,18) + "...", type: "messages"}));
-							else
-								return $(DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : $(this).find(".td_msg_subject").text(), type: "messages"}));
+								if($(this).find("input:checkbox").attr("checked") != "checked"){
+									$(this).find("input:checkbox").trigger('click');
+									$(this).addClass("selected_msg");
+								}
+								if($("#table_box").find("tr input:checked").length > 1)
+									return $("<tr><td>"+DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : (($("#table_box").find("tr input:checked")).length+" mensagens selecionadas"), type: "messages"})+"</td></tr>");
+								if(	$(this).find(".td_msg_subject").text().length > 18 )
+									return $("<tr><td>"+DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : $(this).find(".td_msg_subject").text().substring(0,18) + "...", type: "messages"})+"</td></tr>");
+								else
+									return $("<tr><td>"+DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : $(this).find(".td_msg_subject").text(), type: "messages"})+"</td></tr>");
 						},
-						cursorAt: {cursor: "move", top: 5, left: 56},
-						refreshPositions: true ,
-						scroll: true, 
-						scrollSensitivity: 100,
-						scrollSpeed: 100,
+						iframeFix: true,
+						delay: 150,
+						cursorAt: {top: 5, left: 56},
+						refreshPositions: true,
 						containment: "#divAppbox"
 					}).bind("contextmenu", function(){
@@ -639,4 +637,5 @@
 		update_menu();
 		resizeMailList();
+
 	}
 
@@ -1814,5 +1813,5 @@
 	   if (txtarea != null){
 		  if (data.body != undefined)
-		    txtarea.value = data.body.replace( new RegExp('<pre>((.\n*)*)</pre>'),'$1');
+		    txtarea.value = data.body;
 	      if (preferences.use_signature == "1")
             txtarea.value += '\n' + signature;     
@@ -2209,10 +2208,5 @@
 	input_folder.style.display='none';
 	input_folder.name = "folder";
-	input_folder.value = folder;
-        
-        var input_type = document.createElement("INPUT");
-	input_type.style.display='none';
-	input_type.name = "type";
-	input_type.value = RichTextEditor.plain[ID] ? 'plain' : 'html';
+	input_folder.value = folder;      
         
         var uids = document.createElement("INPUT");
@@ -2254,5 +2248,4 @@
 	form.appendChild(textArea);
 	form.appendChild(input_folder);
-        form.appendChild(input_type);
 
 	// Implementação do In_Reply_To e References
@@ -3588,6 +3581,5 @@
             form.folder = folder_id;
             form.body = RichTextEditor.getData("body_"+border_id);
-            form.type =  RichTextEditor.plain[border_id] ? 'plain' : 'html';
-            form.attachments = listAttachment(border_id) ;
+            form.attachments = listAttachment(border_id);
             form.uidsSave = uidsSave[border_id].toString();
             return( form );
